using System;
using UnityEngine;

[AddComponentMenu("NGUI/Interaction/Drag Scroll View Custom")]
public class UIDragScrollViewCustom : UIDragScrollView
{
	protected override void OnPress(bool pressed)
	{
		if (!this.enabledOnPress)
		{
			return;
		}
		base.OnPress(pressed);
	}

	protected override void OnDrag(Vector2 delta)
	{
		if (!this.enabledOnDrag)
		{
			return;
		}
		base.OnDrag(delta);
	}

	protected override void OnScroll(float delta)
	{
		if (!this.enabledOnScroll)
		{
			return;
		}
		base.OnScroll(delta);
	}

	[SerializeField]
	public bool enabledOnPress = true;

	[SerializeField]
	public bool enabledOnDrag = true;

	[SerializeField]
	public bool enabledOnScroll = true;
}
